summaryrefslogtreecommitdiffstats
path: root/games/tmwmusic
diff options
context:
space:
mode:
author Erik Hanson2010-05-12 23:29:34 +0200
committer David Somero2010-05-12 23:29:34 +0200
commit6eb3c30427dd9a9d3d7fa0906de33e6097313bb3 (patch)
tree55d4b5b1db0942264c8d13e9fd5490bb606a175a /games/tmwmusic
parent8b9f7f9e3ec8162500ee9ccf1972726fe8efc9f9 (diff)
downloadslackbuilds-6eb3c30427dd9a9d3d7fa0906de33e6097313bb3.tar.gz
games/tmwmusic: Added to 12.2 repository
Diffstat (limited to 'games/tmwmusic')
-rw-r--r--games/tmwmusic/README1
-rw-r--r--games/tmwmusic/slack-desc19
-rw-r--r--games/tmwmusic/tmwmusic.SlackBuild39
-rw-r--r--games/tmwmusic/tmwmusic.info8
4 files changed, 67 insertions, 0 deletions
diff --git a/games/tmwmusic/README b/games/tmwmusic/README
new file mode 100644
index 0000000000..82693b3913
--- /dev/null
+++ b/games/tmwmusic/README
@@ -0,0 +1 @@
+This is the add-on music package for the game The Mana World.
diff --git a/games/tmwmusic/slack-desc b/games/tmwmusic/slack-desc
new file mode 100644
index 0000000000..fe57a330cb
--- /dev/null
+++ b/games/tmwmusic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tmwmusic: TMWMusic (Music for the game The Mana World)
+tmwmusic:
+tmwmusic: This is the add-on music package for the game The Mana World.
+tmwmusic:
+tmwmusic:
+tmwmusic:
+tmwmusic:
+tmwmusic:
+tmwmusic:
+tmwmusic:
+tmwmusic:
diff --git a/games/tmwmusic/tmwmusic.SlackBuild b/games/tmwmusic/tmwmusic.SlackBuild
new file mode 100644
index 0000000000..5fd15982aa
--- /dev/null
+++ b/games/tmwmusic/tmwmusic.SlackBuild
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# Slackware build script for tmwmusic
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=tmwmusic
+VERSION=0.2
+ARCH=noarch
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/share/tmw/data/music
+cp -av data/music/* $PKG/usr/share/tmw/data/music/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/tmwmusic/tmwmusic.info b/games/tmwmusic/tmwmusic.info
new file mode 100644
index 0000000000..576ed4f659
--- /dev/null
+++ b/games/tmwmusic/tmwmusic.info
@@ -0,0 +1,8 @@
+PRGNAM="tmwmusic"
+VERSION="0.2"
+HOMEPAGE="http://themanaworld.org/"
+DOWNLOAD="http://downloads.sourceforge.net/themanaworld/tmwmusic-0.2.tar.gz"
+MD5SUM="66c9141d48a7e2ac34e7ab66298ee73c"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="dsomero"